Welcome to the Onshape forum! Ask questions and join in the discussions about everything Onshape.

First time visiting? Here are some places to start:
  1. Looking for a certain topic? Check out the categories filter or use Search (upper right).
  2. Need support? Ask a question to our Community Support category.
  3. Please submit support tickets for bugs but you can request improvements in the Product Feedback category.
  4. Be respectful, on topic and if you see a problem, Flag it.

If you would like to contact our Community Manager personally, feel free to send a private message or an email.

Input is a circle and a radius. Script's supposed to create a new circle, perpendicular to the first

nir_naronnir_naron Member Posts: 26 EDU
rOnshape - Trying to learn FeatureScript Love it so far I know there are probably too many mistakes in my code for you to note them all but any help would be appriciated a ton More in comments

Answers

  • NeilCookeNeilCooke Moderator, Onshape Employees Posts: 5,688
    edited January 2
    FeatureScript 2221;
    import(path : "onshape/std/common.fs", version : "2221.0");
    
    annotation { "Feature Type Name" : "My Feature" }
    export const myFeature = defineFeature(function(context is Context, id is Id, definition is map)
        precondition
        {
            annotation { "Name" : "Circle", "Filter" : GeometryType.CIRCLE, "MaxNumberOfPicks" : 1 }
            definition.circle is Query;
            
            annotation { "Name" : "Rad" }
            isLength(definition.radius, LENGTH_BOUNDS);
    
        }
        {
            const circle = evCurveDefinition(context, {
                    "edge" : definition.circle
            });
            
            const sketch = newSketchOnPlane(context, id + "sketch1", {
                    "sketchPlane" : plane(circle.coordSystem.origin, circle.coordSystem.xAxis, circle.coordSystem.zAxis)
            });
            
            skCircle(sketch, "circle", {
                    "center" : vector(0, 0) * meter,
                    "radius" : definition.radius
            });
            
            skSolve(sketch);
        });

    Senior Director, Technical Services, EMEAI
Sign In or Register to comment.